module CrmJavaSearch
  module Config
    class << self
      def init(opts = {})
        @settings = opts || default_settings
      end

      def default_settings
        {
          enabled: true,
          search_enabled: true,
          check_enabled: true,
          sync_enabled: true,
          host: 'http://dev-pc-search.ikcrm.com'
        }
      end

      def settings
        @settings ||= default_settings
      end
    end
  end
end
