module CrmJavaSearch
  module Trans
    module Router
      class << self
        def repeat_search_url(entity_class_name, organization_id)
          base_url + "/#{entity_class_name}/#{organization_id}/repeat/search"
        end

        # 新增 查重校验
        def repeat_check_url(entity_class_name, organization_id)
          base_url + "/#{entity_class_name}/#{organization_id}/add/check"
        end

        def mapping_url(entity_class_name)
          base_url + "/#{entity_class_name}/mapping"
        end

        def sync_url(entity_class_name)
          base_url + "/#{entity_class_name}/sync"
        end

        def base_url
          CrmJavaSearch::App.api_base_url
        end
      end
    end
  end
end
