module CrmJavaSearch
  module Searchers
    class BaseSearcher
      def initialize(query:, keys:, organization:)
        @organization = organization
        @es_query = {
          value: query,
          fields: keys,
          page: {
            pageNum: 1,
            pageSize: 21
          }
        }
      end
    end
  end
end
