module CrmJavaSearch
  module Searchers
    class ContractSearcher < BaseSearcher

      def search
        data = Agents::ContractAgent.repeat_search(:contract, @organization.id, @es_query)["data"]
        if data
          Contract.where(organization_id: @organization.id).where(id: data.map{|datai| datai['id']})
        else
          Contract.none
        end
      end

    end
  end
end
