module CrmJavaSearch
  module Searchers
    class LeadSearcher < BaseSearcher
      def search
        repeat_search_data = Agents::LeadAgent.repeat_search(:lead, @organization.id, @es_query)
        Log.logger.info("repeat_search_data: #{repeat_search_data}")
        if repeat_search_data['data']
          Lead.where(organization_id: @organization.id).where(id: data.map{|datai| datai['id']})
        else
          Lead.none
        end
      end
    end
  end
end
